Get all plan and segment exceptions
get
/fscmRestApi/resources/11.13.18.05/inventoryPlans/{PlanId}/child/PlanAndSegmentExceptions
Request
Path Parameters
-
PlanId(required): integer
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the exception in the inventory plan based on the value that identifies the exception.
Finder Variables- ExceptionDetailId; integer; Value that uniquely identifies the item exception detail associated with the item exception.
- PlanId; integer; Value that uniquely identifies the plan.
- PrimaryKey Finds the exception in the inventory plan based on the value that identifies the exception.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AchievedServiceLevelPercentage; number; Service level achieved at the segment level.
- ActionTaken; integer; Contains one of the following values: 1 or 2. If 1, then action was taken to resolve the issue. If 2, then action wasn't taken to resolve the issue. The default value is 2.
- Currency; string; Currency used for segment budget as well as inventory budget .
- DataSecurityEditAllowed; string; Contains one of the following: yes or null. If yes, then the user has data security edit privileges. If null, then the user doesn't have data security edit privileges.
- Exception; string; Value that uniquely identifies the plan and segment exception.
- ExceptionDetailId; integer; Value that uniquely identifies the plan and segment exception detail.
- ExceptionId; integer; Value that uniquely identifies the plan and segment exception.
- ExceptionStoreId; integer; Value that uniquely identifies the stored plan and segment exception.
- ExceptionValue; number; Value of plan and segment exception.
- FromDate; string; Starting date for the exception in the planning horizon.
- InventoryBudgetValue; number; Description of segment associated with exception.
- InventoryValue; number; Description of segment associated with exception.
- LastUpdateDate; string; Date when the user last updated the exception.
- LastUpdatedBy; string; User who last updated the exception.
- Notes; integer; Notes attached by the user while reviewing exceptions.
- PlanId; integer; Value that uniquely identifies inventory plan.
- RowModified; string; Text that identifies whether the row is new or modified contains valid values, yes or null. If the value is yes, the row is new or modified. If the value is null, the row is neither new nor modified.
- Segment; string; Value that uniquely identifies segment of items in inventory plan.
- SegmentDescription; string; Description of segment associated with exception.
- SegmentGroupId; integer; Value that uniquely identifies segment of items in inventory plan.
- SegmentId; integer; Value that uniquely identifies segment of items in inventory plan.
- StoreKey; string; Name of store key in the plan and segment exception.
- TargetServiceLevelPercentage; number; Target service level is the user-specified service level percentage that the planning process aims to achieve.
- ToDate; string; Ending date for the exception in the planning horizon.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : inventoryPlans-PlanAndSegmentExceptions
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryPlans-PlanAndSegmentExceptions-item-response
Type:
Show Source
object-
AchievedServiceLevelPercentage: number
Read Only:
trueService level achieved at the segment level. -
ActionTaken: integer
(int64)
Title:
Action TakenContains one of the following values: 1 or 2. If 1, then action was taken to resolve the issue. If 2, then action wasn't taken to resolve the issue. The default value is 2. -
Currency: string
Read Only:
trueMaximum Length:80Currency used for segment budget as well as inventory budget . -
DataSecurityEditAllowed: string
Read Only:
trueContains one of the following: yes or null. If yes, then the user has data security edit privileges. If null, then the user doesn't have data security edit privileges. -
Exception: string
Read Only:
trueMaximum Length:120Value that uniquely identifies the plan and segment exception. -
ExceptionDetailId: integer
Read Only:
trueValue that uniquely identifies the plan and segment exception detail. -
ExceptionId: integer
Read Only:
trueValue that uniquely identifies the plan and segment exception. -
ExceptionStoreId: integer
(int64)
Read Only:
trueValue that uniquely identifies the stored plan and segment exception. -
ExceptionValue: number
Read Only:
trueValue of plan and segment exception. -
FromDate: string
(date)
Read Only:
trueStarting date for the exception in the planning horizon. -
InventoryBudgetValue: number
Read Only:
trueDescription of segment associated with exception. -
InventoryValue: number
Read Only:
trueDescription of segment associated with exception. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the user last updated the exception. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the exception. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Notes: integer
(int64)
Title:
NotesNotes attached by the user while reviewing exceptions. -
PlanId: integer
Read Only:
trueValue that uniquely identifies inventory plan. -
RowModified: string
Read Only:
trueText that identifies whether the row is new or modified contains valid values, yes or null. If the value is yes, the row is new or modified. If the value is null, the row is neither new nor modified. -
Segment: string
Read Only:
trueValue that uniquely identifies segment of items in inventory plan. -
SegmentDescription: string
Read Only:
trueDescription of segment associated with exception. -
SegmentGroupId: integer
Read Only:
trueValue that uniquely identifies segment of items in inventory plan. -
SegmentId: integer
Read Only:
trueValue that uniquely identifies segment of items in inventory plan. -
StoreKey: string
Read Only:
trueMaximum Length:240Name of store key in the plan and segment exception. -
TargetServiceLevelPercentage: number
Read Only:
trueTarget service level is the user-specified service level percentage that the planning process aims to achieve. -
ToDate: string
(date)
Read Only:
trueEnding date for the exception in the planning horizon.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.